org.eclipse.graphiti.notification

## Class DefaultNotificationService

- java.lang.Object
- - org.eclipse.graphiti.notification.DefaultNotificationService

All Implemented Interfaces:
  INotificationService

    public class DefaultNotificationService
    extends Object
    implements INotificationService

The Class DefaultNotificationService.

### Constructor Summary

Constructors
Constructor and Description
`DefaultNotificationService(IDiagramTypeProvider diagramTypeProvider)` Creates a new `DefaultNotificationService`.

### Method Summary

All Methods Instance Methods Concrete Methods
`PictogramElement[]` `calculateRelatedPictogramElements(Object[] changedBOs)` Calculate dirty pictogram elements.
`void` `updatePictogramElements(PictogramElement[] dirtyPes)` Update dirty pictogram elements.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultNotificationService

    public DefaultNotificationService(IDiagramTypeProvider diagramTypeProvider)

Creates a new `DefaultNotificationService`.

Parameters:
  `diagramTypeProvider` - the diagram type provider

### Method Detail

#### updatePictogramElements

    public void updatePictogramElements(PictogramElement[] dirtyPes)

Update dirty pictogram elements.

Specified by:
  `updatePictogramElements` in interface `INotificationService`
Parameters:
  `dirtyPes` - the dirty pes

#### calculateRelatedPictogramElements

    public PictogramElement[] calculateRelatedPictogramElements(Object[] changedBOs)

Calculate dirty pictogram elements.

Specified by:
  `calculateRelatedPictogramElements` in interface `INotificationService`
Parameters:
  `changedBOs` - the changed business objects
Returns:
  the pictogram element[]